/*****************************************************************
 * This program illustrates how inline assembly code can be      *
 * written. It uses the interrupt service of DOS (int 21H)       *
 * to get the current month information.                         *
 *****************************************************************/
#include        <stdio.h>

int current_month(void);

int main(void)
{
	printf ("Current month is: %d\n", current_month());
	return 0;
}
int current_month(void)
{
	asm  mov    AH,2AH
	asm  int    21H
	asm  xor    AX,AX   /* we really want to clear AH */
	asm  mov    AL,DH
}
